import type { Options as ClientOptions, TDataShape, Client } from '@hey-api/client-fetch';
import type { ContainerSetupData } from './types.gen';
export type Options<TData extends TDataShape = TDataShape, ThrowOnError extends boolean = boolean> = ClientOptions<TData, ThrowOnError> & {
    /**
     * You can provide a client instance returned by `createClient()` instead of
     * individual options. This might be also useful if you want to implement a
     * custom client.
     */
    client?: Client;
};
/**
 * Setup container
 * Set up a new container based on a template
 */
export declare const containerSetup: <ThrowOnError extends boolean = false>(options: Options<ContainerSetupData, ThrowOnError>) => import("@hey-api/client-fetch").RequestResult<import("./types.gen").SuccessResponse & {
    result?: import("./types.gen").TaskDto;
}, import("./types.gen").ErrorResponse & {
    error?: import("./types.gen").ProtocolError;
}, ThrowOnError>;
