import { Client } from "@hey-api/client-fetch";
import * as git from "../../api-clients/client-rest-git";
export declare class SandboxRestGit {
    private client;
    constructor(client: Client);
    status(body: git.GitStatusData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: git.GitStatus;
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    remotes(body: git.GitRemotesData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: git.GitRemotes;
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    targetDiff(body: git.GitTargetDiffData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: git.GitTargetDiff;
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    pull(body: git.GitPullData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    discard(body: git.GitDiscardData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: {
                paths?: Array<string>;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    commit(body: git.GitCommitData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: {
                shellId: string;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    push(body: git.GitPushData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    pushToRemote(body: git.GitPushToRemoteData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    renameBranch(body: git.GitRenameBranchData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    remoteContent(body: git.GitRemoteContentData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: {
                content: string;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    diffStatus(body: git.GitDiffStatusData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: git.GitDiffStatusResult;
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    resetLocalWithRemote(body: git.GitResetLocalWithRemoteData["body"]): Promise<({
        data: git.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: git.ErrorResponse & {
            error?: git.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
}
