import { Client } from "@hey-api/client-fetch";
import * as shell from "../../api-clients/client-rest-shell";
export declare class SandboxRestShell {
    private client;
    constructor(client: Client);
    create(body: shell.ShellCreateData["body"]): Promise<({
        data: shell.SuccessResponse & {
            result?: shell.OpenShellDto;
        };
        error: undefined;
    } | {
        data: undefined;
        error: shell.ErrorResponse & {
            error?: shell.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    in(body: shell.ShellInData["body"]): Promise<({
        data: shell.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: shell.ErrorResponse & {
            error?: shell.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    list(body: shell.ShellListData["body"]): Promise<({
        data: shell.SuccessResponse & {
            result?: {
                shells: Array<shell.ShellDto>;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: shell.ErrorResponse & {
            error?: shell.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    open(body: shell.ShellOpenData["body"]): Promise<({
        data: shell.SuccessResponse & {
            result?: shell.OpenShellDto;
        };
        error: undefined;
    } | {
        data: undefined;
        error: shell.ErrorResponse & {
            error?: shell.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    close(body: shell.ShellCloseData["body"]): Promise<({
        data: shell.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: shell.ErrorResponse & {
            error?: shell.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    restart(body: shell.ShellRestartData["body"]): Promise<({
        data: shell.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: shell.ErrorResponse & {
            error?: shell.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    terminate(body: shell.ShellTerminateData["body"]): Promise<({
        data: shell.SuccessResponse & {
            result?: shell.ShellDto;
        };
        error: undefined;
    } | {
        data: undefined;
        error: shell.ErrorResponse & {
            error?: shell.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    resize(body: shell.ShellResizeData["body"]): Promise<({
        data: shell.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: shell.ErrorResponse & {
            error?: shell.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    rename(body: shell.ShellRenameData["body"]): Promise<({
        data: shell.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: shell.ErrorResponse & {
            error?: shell.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
}
