import { Client } from "@hey-api/client-fetch";
import * as system from "../../api-clients/client-rest-system";
export declare class SandboxRestSystem {
    private client;
    constructor(client: Client);
    update(body: system.SystemUpdateData["body"]): Promise<({
        data: system.SuccessResponse & {
            result?: {
                [key: string]: unknown;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: system.ErrorResponse & {
            error?: system.SystemError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    hibernate(body: system.SystemHibernateData["body"]): Promise<({
        data: system.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: system.ErrorResponse & {
            error?: system.SystemError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    metrics(body: system.SystemMetricsData["body"]): Promise<({
        data: system.SuccessResponse & {
            result?: system.SystemMetricsStatus;
        };
        error: undefined;
    } | {
        data: undefined;
        error: system.ErrorResponse & {
            error?: system.SystemError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
}
