import { IPitcherClient } from "@codesandbox/pitcher-client";
import { HostToken } from "../../Hosts";
export { HostToken } from "../../Hosts";
export declare class Hosts {
    private pitcherClient;
    private hostToken?;
    constructor(pitcherClient: IPitcherClient, hostToken?: HostToken | undefined);
    /**
     * If private Sandbox this will return a URL with a host token.
     */
    getUrl(port: number, protocol?: string): string;
    /**
     * If private Sandbox this will return headers with a host token.
     */
    getHeaders(): {
        "csb-preview-token"?: undefined;
    } | {
        "csb-preview-token": string;
    };
    /**
     * If private Sandbox this will return cookies with a host token.
     */
    getCookies(): {
        csb_preview_token?: undefined;
    } | {
        csb_preview_token: string;
    };
}
