import { Client } from "@hey-api/client-fetch";
import * as fs from "../../api-clients/client-rest-fs";
import { SandboxSession } from "../../types";
export declare class SandboxRestFS {
    private session;
    private client;
    constructor(session: SandboxSession, client: Client);
    writeTextFile(body: Omit<fs.WriteFileData["body"], "content"> & {
        content: string;
    }): Promise<({
        data: fs.SuccessResponse & {
            result?: {
                [key: string]: unknown;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "RawFsError";
            } & fs.RawFsError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    writeFile(body: fs.WriteFileData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: {
                [key: string]: unknown;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "RawFsError";
            } & fs.RawFsError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    readFile(body: fs.FsReadFileData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: fs.FsReadFileResult;
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "RawFsError";
            } & fs.RawFsError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    search(body: fs.FsSearchData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: Array<fs.SearchResult>;
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: fs.DefaultError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    pathSearch(body: fs.FsPathSearchData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: fs.PathSearchResult;
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: fs.DefaultError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    upload(body: fs.FsUploadData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: {
                fileId?: string;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "InvalidIdError";
            } & fs.InvalidIdError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    download(body: fs.FsDownloadData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: {
                downloadUrl?: string;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: fs.DefaultError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    readDir(body: fs.FsReadDirData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: fs.FsReadDirResult;
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "RawFsError";
            } & fs.RawFsError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    stat(body: fs.FsStatData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: fs.FsStatResult;
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "RawFsError";
            } & fs.RawFsError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    copy(body: fs.FsCopyData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: {
                [key: string]: unknown;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "RawFsError";
            } & fs.RawFsError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    rename(body: fs.FsRenameData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: {
                [key: string]: unknown;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "RawFsError";
            } & fs.RawFsError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    remove(body: fs.FsRemoveData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: {
                [key: string]: unknown;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "RawFsError";
            } & fs.RawFsError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    mkdir(body: fs.FsMkdirData["body"]): Promise<({
        data: fs.SuccessResponse & {
            result?: {
                [key: string]: unknown;
            };
        };
        error: undefined;
    } | {
        data: undefined;
        error: fs.ErrorResponse & {
            error?: ({
                code?: "DefaultError";
            } & fs.DefaultError) | ({
                code?: "RawFsError";
            } & fs.RawFsError);
        };
    }) & {
        request: Request;
        response: Response;
    }>;
}
