import { Client } from "@hey-api/client-fetch";
import * as task from "../../api-clients/client-rest-task";
export declare class SandboxRestTask {
    private client;
    constructor(client: Client);
    list(body?: task.TaskListData["body"]): Promise<({
        data: task.SuccessResponse & {
            result?: task.TaskListDto;
        };
        error: undefined;
    } | {
        data: undefined;
        error: task.ErrorResponse & {
            error?: task.CommonError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    run(body: task.TaskRunData["body"]): Promise<({
        data: task.SuccessResponse & {
            result?: task.TaskDto;
        };
        error: undefined;
    } | {
        data: undefined;
        error: task.ErrorResponse & {
            error?: task.TaskError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    runCommand(body: task.TaskRunCommandData["body"]): Promise<({
        data: task.SuccessResponse & {
            result?: task.TaskDto;
        };
        error: undefined;
    } | {
        data: undefined;
        error: task.ErrorResponse & {
            error?: task.TaskError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    stop(body: task.TaskStopData["body"]): Promise<({
        data: task.SuccessResponse & {
            result?: task.TaskDto | unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: task.ErrorResponse & {
            error?: task.TaskError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    create(body: task.TaskCreateData["body"]): Promise<({
        data: task.SuccessResponse & {
            result?: task.TaskListDto;
        };
        error: undefined;
    } | {
        data: undefined;
        error: task.ErrorResponse & {
            error?: task.TaskError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    update(body: task.TaskUpdateData["body"]): Promise<({
        data: task.SuccessResponse & {
            result?: task.TaskDto;
        };
        error: undefined;
    } | {
        data: undefined;
        error: task.ErrorResponse & {
            error?: task.TaskError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    saveToConfig(body: task.TaskSaveToConfigData["body"]): Promise<({
        data: task.SuccessResponse & {
            result?: task.TaskDto;
        };
        error: undefined;
    } | {
        data: undefined;
        error: task.ErrorResponse & {
            error?: task.TaskError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    generateConfig(body?: task.TaskGenerateConfigData["body"]): Promise<({
        data: task.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: task.ErrorResponse & {
            error?: task.TaskError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
    createSetupTasks(body: task.TaskCreateSetupTasksData["body"]): Promise<({
        data: task.SuccessResponse & {
            result?: unknown;
        };
        error: undefined;
    } | {
        data: undefined;
        error: task.ErrorResponse & {
            error?: task.TaskError;
        };
    }) & {
        request: Request;
        response: Response;
    }>;
}
